<?php
/**
	 Jivelite Setup
	
	 @Copyright 2014 Stefan Rick
	 @author Stefan Rick
	 Mail: stefan@rick-software.de
 	 Web: http://www.netzberater.de

 */ 
?>											
<style>
<!--
.description {
    list-style: circle outside none;
    padding-left: 20px;
}
-->
</style>

<h1 class="entry-header">
	<?php echo _t("Jivelite Squeezebox Desktop Visualisation") ?>
</h1>
<div class="entry-content">
	<?php if(isset($jl->view->message[0])){ ?>
		<div class="ui-widget">
			<div class="ui-state-highlight ui-corner-all" style="margin-bottom: 10px; padding: 0.4em .7em;">
				<p>
					<span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
					<?php echo implode('<br />', $jl->view->message); ?>					
				</p>
			</div>
		</div>
	<?php } ?>		
	
	<?php echo _t("This is the Jivelite Setup Page.") ?>
	<br />
	<?php echo _t("If using touchdisplays make sure to: <ul class=description><li>install a skin below for small screens like 2.5 or 3.2 inch</li><li>choose the Joggler Skin for the display in 7 inch in the Jivelite Settings</li><li>To enable the Visualizer and VU-Meter in Jivelite please add \"-v\" to the command line options of Squeezelite (Audioplayer tab of Max2Play-Webinterface -&gt; Advanced Settings)</li></ul>") ?>
	<?php echo _t("Hint: if the Visualizer (VU-Meter) is not showing up, use the button <b>Reset Jivelite settings</b> on this page."); ?>  
	<br /><br />
	<form action="" method="get">
	<input type="hidden" id="action" name="action" value="" />
	
<?php if($jl->view->installed) { ?>			
	
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
			<span class="ui-icon ui-icon-video" style="float:left; margin:-2px 5px 0 0;"></span>					
			<?php if ($jl->view->pid) { ?>
				<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', $jl->viewname, _('$SERVICENAME is running with processID')) ?> <b><?php echo $jl->view->pid ?></b></p>				
				<input type="button" value="<?php echo str_replace('$SERVICENAME', $jl->viewname, _('stop $SERVICENAME')) ?>" name="stop" onclick="document.getElementById('action').value='stop';submit();" />
			<?php }else { ?>
				<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', $jl->viewname, _('$SERVICENAME not running')) ?></p>
				<?php echo _t('Reinitialize Display (if screen is black or HDMI was not connected on startup)') ?><input type="checkbox" value="1" name="reinitx" />
	  		    <br />
				<input type="button" value="<?php echo str_replace('$SERVICENAME', $jl->viewname, _('start $SERVICENAME')) ?>" name="start" onclick="document.getElementById('action').value='start';submit();" />	
			<?php } ?>	
	<br /><br />
	<b><?php echo str_replace('$SERVICENAME', $jl->viewname, _('Autostart $SERVICENAME')) ?>:</b><br />
	<input type="checkbox" <?php if($jl->view->autostart) echo "checked"; ?> value="1" name="autostart" />
	<input type="button" value="<?php echo _('save') ?>" name="save" onclick="document.getElementById('action').value='save';submit();" />
	
	<br /><br />
	<b><?php echo _t('Autohide Panel (Taskbar) and set Jivelite to Fullscreen') ?>:</b><br />
	<input type="checkbox" <?php if($jl->view->autohidepanel) echo "checked"; ?> value="1" name="autohidepanel" />
	<input type="button" value="<?php echo _('save') ?>" name="save" onclick="document.getElementById('action').value='save';submit();" />
	
	<br /><br />
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
		<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>
		<?php echo _t('Install further Jivelite Skins (important for small touchscreens)') ?></p>
	<select name="skinchoose" style="width: 90%;">	
		<option value="320x240"><?php echo _t('Port for 2.8" 320x240 Adafruit LCD (QVGATouchSkin by bogdandumitru)') ?></option>
		<option value="1024x600patch"><?php echo _t('Patch Joggler Skin for 1024x600 Waveshare 7inch screen (by Martin)') ?></option>
		<option value="1280x800patch"><?php echo _t('Patch Joggler Skin for 1280x800 Waveshare 10inch screen') ?></option>
	</select>
	<input type="button" value="<?php echo _t('Install choosen Skin') ?>" name="skininstall" onclick="document.getElementById('action').value='skininstall';submit();" />
	
	
	<br /><br />
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
		<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>
		<?php echo _t('Reset all Settings - Usefull if Jivelite doesn\'t start anymore') ?></p>
		<input type="button" value="<?php echo _t('Reset Jivelite Settings') ?>" name="resetjivelite" onclick="document.getElementById('action').value='resetjivelite';submit();" />		
		<input type="button" value="<?php echo _t('Add Power OFF Button (Shutdown Device)') ?>" name="enableShutdownControl" onclick="document.getElementById('action').value='enableShutdownControl';submit();" />
	<br /><br />
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
		<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>
		<?php echo str_replace('$NAME', $jl->viewname, _t('$NAME Reinstall (Updates to most recent version)')) ?></p>	
	<select name="installer">
		<option value="binary"><?php echo _t("Get precompiled binary from Max2Play (~1 Minute)")?></option>
		<option value="compile"><?php echo _t("Compile latest version from Sources (~20 Minutes)")?></option>		
	</select>&nbsp;
	<input type="button" value="<?php echo str_replace('$NAME', $jl->viewname, _t('$NAME start installation')) ?>" name="install" onclick="document.getElementById('action').value='install';submit();" />
	
	<br /><br />
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
		<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>	
		<?php if ($jl->cec->installed) { ?>			
			<?php if($jl->cec->pid) { ?>
				<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', 'CEC-Support for HDMI', _('$SERVICENAME is running with processID')) ?> <b><?php echo $jl->cec->pid ?></b></p>
			<?php }else { ?>	
				<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', 'CEC-Support for HDMI', _('$SERVICENAME not running')) ?></p>
				<input type="button" value="<?php echo str_replace('$SERVICENAME', 'CEC-Support for HDMI', _('start $SERVICENAME')) ?>" name="start" onclick="document.getElementById('action').value='startcec';submit();" />
			<?php } ?>
			<br />
			<b><?php echo str_replace('$SERVICENAME', 'CEC-Support for HDMI', _('Autostart $SERVICENAME')) ?>:</b>
			<input type="checkbox" <?php if($jl->cec->autostart) echo "checked"; ?> value="1" name="autostartcec" />
			<input type="button" value="<?php echo _('save') ?>" name="savecec" onclick="document.getElementById('action').value='savecec';submit();" />						
			<br />
			<b><?php echo _t('Reinstall CEC-Support for HDMI') ?>:</b> <input type="button" value="<?php echo _t('Reinstall CEC-Support') ?>" name="installcec" onclick="document.getElementById('action').value='installcec';submit();" />
			<br />
		<?php }else{ ?>	
			<b><?php echo _t('Install CEC-Support for HDMI') ?>:</b> <input type="button" value="<?php echo _t('Install CEC-Support and add to Autostart') ?>" name="installcec" onclick="document.getElementById('action').value='installcec';submit();" />
			</p>
		<?php } ?>
	<?php echo _t("CEC-Support for HDMI to control Jivelite and Desktop with your TV's remote control. This compiles and adds <a href='http://www.github.com/bramp/libcec-daemon.git' target='_blank'>libcec-daemon</a> to the autostart of Max2Play. You need a HDMI-Cable that supports CEC (some thin cables do not!) and the TV must be turned on before starting Max2Play as it needs to recognize the CEC-Device on boot.") ?>
		
<?php }else { ?>	
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
		<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>
		<?php echo str_replace('$NAME', $jl->viewname, _t('$NAME start installation')) ?></p>	
	<select name="installer">
		<option value="binary"><?php echo _t("Get precompiled binary from Max2Play (~1 Minute)")?></option>
		<option value="compile"><?php echo _t("Compile latest version from Sources (~20 Minutes)")?></option>		
	</select>&nbsp;
	<input type="button" value="<?php echo str_replace('$NAME', $jl->viewname, _t('$NAME start installation')) ?>" name="install" onclick="document.getElementById('action').value='install';submit();" />
	
<?php } ?>					
	
	<br /><br />
	<?php echo _t('Jivelite Copyrights and Credits: Logitech, as they developed the software for the Squeezboxes and set it under BSD-License, Triode and Ralphy from Squeezebox-Forum for supporting and ongoing development of Jivelite. This Jivelite version for Max2Play has some changes for improved support for touchscreens and to activate the clock as screensaver.')?>
	</form>

	<br /><br />
	<a href="#javascript" onclick="document.getElementById('debug').style.display='';return false;">DEBUG Informationen</a>
	<textarea id="debug" rows="30" cols="70" style="display:none;"><?php foreach ($jl->view->debug as $key => $debug) {
			echo "#### ". $key. " ####\n"; 
			 echo $debug." \n\n"; 
		 }?>
	</textarea>

</div>	